ZipArchive::getCommentIndex
ZipArchive::getFromIndex
Zip Functions
PHP Manual

# ZipArchive::getCommentName

(No version information available, might be only in CVS)

ZipArchive::getCommentName — Returns the comment of an entry using the entry name

### Description

string ZipArchive::getCommentName ( string `$name` [, int `$flags` ] )

Returns the comment of an entry using the entry name.

### Parameters

`name`

  Name of the entry

`flags`

  If flags is set to `ZIPARCHIVE::FL_UNCHANGED`, the original unchanged comment is returned.

### Return Values

Returns the comment on success or `FALSE` on failure.

### Examples

Example #1 Dump an entry comment

`<?php
$zip = new ZipArchive;
$res = $zip->open('test1.zip')
if ($res === TRUE) {
var_dump($zip->getCommentName('test/entry1.txt'));
} else {
echo 'failed, code:' . $res;
}
?>`

ZipArchive::getCommentIndex
ZipArchive::getFromIndex
Zip Functions
PHP Manual